#include<fstream>
#include<iostream>
using namespace std;
int main ()
{
	int n;
	ifstream f1; f1.open("stnn.inp");
	f1>>n;
	f1.close();
	int b,sl,sc,ssl,ssc;
	sl=0;sc=0;ssc=0;ssl=0;
	if(n>1)
        {for(b=1;b<n;b++)
	{
		if(b%2==0) {sc++;ssc=ssc+b;}
		if(b%2!=0) {sl++;ssl=ssl+b;}

	}
	ofstream f2; f2.open("stnn.out");
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<ssc<<" "<<float(ssc)/float(sc)<<endl<<ssl<<" "<<float(ssl)/float(sl)<<endl<<ssc+ssl<<" "<<float(ssc)+float(ssl)/float(sc)+float(sl);
	f2.close();}
	if(n<=1) {ofstream f2;f2.open("stnn.out");
        f2<<0<<" "<<"0.00"<<endl<<0<<" "<<"0.00"<<endl<<0<<" "<<"0.00";
        f2.close();}

}
